# Class HDFJavaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ncsa.hdf.hdflib.HDFException
ncsa.hdf.hdflib.HDFJavaException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HDFNotImplementedException`

public class HDFJavaException extends HDFException

The class HDFJavaException returns errors from the Java wrapper of theHDF library.

These errors include Java configuration errors, security violations, and resource exhaustion.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class HDFException

`HDFExceptionMessage, HDFMessage, OutOfMemoryMessage`

## Constructor Summary

Constructors
Constructor
Description
`HDFJavaException()`
`HDFJavaException(String s)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HDFJavaException

public HDFJavaException()

### HDFJavaException

public HDFJavaException(String s)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `HDFException`